Overview
Comment: | lt8900_spi v1.0 |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk | 1.0 |
Files: | files | file ages | folders |
SHA3-256: |
ba248e2cfca262ffa4271b43386c9975 |
User & Date: | rkeene on 2020-04-29 00:02:58 |
Other Links: | manifest | tags |
Context
2020-04-29
| ||
00:37 | Rename class to upper-case check-in: c9419b56ad user: rkeene tags: trunk | |
00:02 | lt8900_spi v1.0 check-in: ba248e2cfc user: rkeene tags: 1.0, trunk | |
00:00 | Temporary set version to 0.9 to verify upload check-in: 2b5fea74f1 user: rkeene tags: trunk | |
Changes
Added build/upload-to-pypi version [ce41d05c47].
> > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 | #! /usr/bin/env bash target="$1" for command in twine python3 mktemp gzip tar fossil rm; do if [ -z "$(command -v "${command}" 2>/dev/null)" ]; then echo "error: Unable to find command \"${command}\"" >&2 exit 1 fi done rootdir="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)" workdir='' function cleanup() { if [ -n "${workdir}" ]; then workdir='' cd / rm -rf "${workdir}" fi return } trap cleanup EXIT set -e workdir="$(mktemp -d)" cd "${rootdir}" fossil tarball current - --name '' | gzip -dc | ( set -e cd "${workdir}" tar -vxf - python3 setup.py sdist bdist_wheel ) ( set -e cd "${workdir}" python3 -m twine upload --repository "${target:-testpypi}" dist/* ) |
Modified setup.py from [f623d0d063] to [494545e590].
1 2 3 4 5 6 | import setuptools with open("README.md", "r") as fh: long_description = fh.read() setuptools.setup( | | | | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 | import setuptools with open("README.md", "r") as fh: long_description = fh.read() setuptools.setup( name="lt8900_spi", # Replace with your own username version="1.0", author="Roy Keene", author_email="pypi@rkeene.org", description="Python interface to an LT8900 connected via SPI", long_description=long_description, long_description_content_type="text/markdown", url="https://chiselapp.com/user/rkeene/repository/lt8900_spi/", packages=["lt8900_spi"], |
︙ | ︙ |